org.keycloak.dom.saml.common

## Class CommonResponseType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonResponseType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SAML11ResponseAbstractType, StatusResponseType

      public class CommonResponseType
      extends Object
      implements Serializable

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected String` | `inResponseTo`
    `protected XMLGregorianCalendar` | `issueInstant`
    `protected Element` | `signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonResponseType(String id, XMLGregorianCalendar issueInstant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getID()` Gets the value of the id property.
    `String` | `getInResponseTo()` Gets the value of the inResponseTo property.
    `XMLGregorianCalendar` | `getIssueInstant()` Gets the value of the issueInstant property.
    `Element` | `getSignature()` Gets the value of the signature property.
    `void` | `setInResponseTo(String value)` Sets the value of the inResponseTo property.
    `void` | `setSignature(Element value)` Sets the value of the signature property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### issueInstant

          protected XMLGregorianCalendar issueInstant

    - #### inResponseTo

          protected String inResponseTo

    - #### signature

          protected Element signature

  - ### Constructor Detail

    - #### CommonResponseType

          public CommonResponseType(String id,
                                    XMLGregorianCalendar issueInstant)

  - ### Method Detail

    - #### getID

          public String getID()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### getIssueInstant

          public XMLGregorianCalendar getIssueInstant()

      Gets the value of the issueInstant property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### getInResponseTo

          public String getInResponseTo()

      Gets the value of the inResponseTo property.
      Returns:
        possible object is `String`

    - #### setInResponseTo

          public void setInResponseTo(String value)

      Sets the value of the inResponseTo property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSignature

          public Element getSignature()

      Gets the value of the signature property.
      Returns:
        possible object is `SignatureType`

    - #### setSignature

          public void setSignature(Element value)

      Sets the value of the signature property.
      Parameters:
        `value` - allowed object is `SignatureType`

Copyright © 2021 JBoss by Red Hat. All rights reserved.